Package org.jboss.modules.log

# Interface ModuleLogger

All Known Implementing Classes:
  `JDKModuleLogger`, `NoopModuleLogger`, `StreamModuleLogger`

public interface ModuleLogger
A simple Logger abstraction.

Author:
  thomas.diesler@jboss.com, David M. Lloyd, Richard Opalka

## Method Summary

Modifier and Type
Method
Description
`void`
`classDefined(String name, Module module)`
`void`
`classDefineFailed(Throwable throwable, String className, Module module)`
`void`
`greeting()`
`default void`
`moduleDefined(String name, ModuleLoader moduleLoader)`
`default void`
`moduleDefined(ModuleIdentifier identifier, ModuleLoader moduleLoader)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`trace(String message)`
`void`
`trace(String format, Object arg1)`
`void`
`trace(String format, Object... args)`
`void`
`trace(String format, Object arg1, Object arg2)`
`void`
`trace(String format, Object arg1, Object arg2, Object arg3)`
`void`
`trace(Throwable t, String message)`
`void`
`trace(Throwable t, String format, Object arg1)`
`void`
`trace(Throwable t, String format, Object... args)`
`void`
`trace(Throwable t, String format, Object arg1, Object arg2)`
`void`
`trace(Throwable t, String format, Object arg1, Object arg2, Object arg3)`

## Method Details

### trace

void trace(String message)

### trace

void trace(String format, Object arg1)

### trace

void trace(String format, Object arg1, Object arg2)

### trace

void trace(String format, Object arg1, Object arg2, Object arg3)

### trace

void trace(String format, Object... args)

### trace

void trace(Throwable t, String message)

### trace

void trace(Throwable t, String format, Object arg1)

### trace

void trace(Throwable t, String format, Object arg1, Object arg2)

### trace

void trace(Throwable t, String format, Object arg1, Object arg2, Object arg3)

### trace

void trace(Throwable t, String format, Object... args)

### greeting

void greeting()

### moduleDefined

default void moduleDefined(String name, ModuleLoader moduleLoader)

### moduleDefined

@Deprecated(forRemoval=true) default void moduleDefined(ModuleIdentifier identifier, ModuleLoader moduleLoader)
Deprecated, for removal: This API element is subject to removal in a future version.

### classDefineFailed

void classDefineFailed(Throwable throwable, String className, Module module)

### classDefined

void classDefined(String name, Module module)